package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

public class DrpMenuMaterialSupplierCanteenVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("货品ID或者类别ID")
   private Long materialCategoryId;
   @ApiModelProperty("供应商ID")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getMaterialCategoryId() {
      return this.materialCategoryId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setMaterialCategoryId(final Long materialCategoryId) {
      this.materialCategoryId = materialCategoryId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }


   public String toString() {
      Long var10000 = this.getCanteenId();
      return "DrpMenuMaterialSupplierCanteenVO(canteenId=" + var10000 + ", materialCategoryId=" + this.getMaterialCategoryId() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ")";
   }
}
